Update Respondus LockDown Browser to Avoid Issues with Canvas New Quizzes - Canvas
Skip to main content

Update Respondus LockDown Browser to Avoid Issues with Canvas New Quizzes

Respondus Lockdown Browser & Monitor

Rutgers Canvas recommends that all students update Respondus LockDown Browser to version 2.0.6.10 (How do I check which version of LockDown Browser is installed?).  Respondus LockDown Browser may be required by your course instructor to complete Canvas quizzes and exams.  There is a known issue with LockDown Browser and Canvas New Quizzes where exams with more than 50 questions cannot be completely viewed.

Alternatively, instructors can edit the New Quizzes settings so one question per page is display to avoid the problem.